Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Gruppen nach löschen der Grafik noch gespeichert?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Gruppen nach löschen der Grafik noch gespeichert? (454 mal gelesen)
romi1
Mitglied
Bautechniker


Sehen Sie sich das Profil von romi1 an!   Senden Sie eine Private Message an romi1  Schreiben Sie einen Gästebucheintrag für romi1

Beiträge: 622
Registriert: 09.02.2006

Xeon E3-1245V2
16GB RAM
Windows 10 Professional 64 bit
AutoCAD 2014

erstellt am: 05. Nov. 2008 15:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!
Habe festgestellt, das die Gruppen im DICTIONARY "ACAD_GROUP" auch nach dem Löschen der Grafiken, die eben die jeweilige Gruppe gebildet hatten, noch immer vorhanden sind. Warum werden die Gruppeneinträge beim Löschen aller Elemente einer Gruppe nicht mitgelöscht?
Anders gefragt: Gibt es eine Möglichkeit, nicht benötigte Gruppen (jene, von denen alle grafischen Elemente gelöscht sind) zu bereinigen?
Gruß,
Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2008 15:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für romi1 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von romi1:
Hallo!
Habe festgestellt, das die Gruppen im DICTIONARY "ACAD_GROUP" auch nach dem Löschen der Grafiken, die eben die jeweilige Gruppe gebildet hatten, noch immer vorhanden sind. Warum werden die Gruppeneinträge beim Löschen aller Elemente einer Gruppe nicht mitgelöscht?
Anders gefragt: Gibt es eine Möglichkeit, nicht benötigte Gruppen (jene, von denen alle grafischen Elemente gelöscht sind) zu bereinigen?
Gruß,
Roman

ja gibt es .. die Anworten , wie, hast du dir eigentlich schon selbst gegeben ... Analyses der Dictionaryeinträge und anschleißendes Löschen der entsprechenden..

Wenn du fertigen Code suchst ... im Forum oder per Google sollte was zu finden sein   .. ich klemm mir deshalb das posten eines solchen ..    


Und zum "Warum ist das so?"  .. Es gibt auch leere Blockdefinitionen, leere Texte.... die man theoretisch wieder Befüllen kann .. das gleiche mit Gruppen  .. warum also zwingend löschen ?? (obwohl ich das manchmal auch besser fände)
------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

romi1
Mitglied
Bautechniker


Sehen Sie sich das Profil von romi1 an!   Senden Sie eine Private Message an romi1  Schreiben Sie einen Gästebucheintrag für romi1

Beiträge: 622
Registriert: 09.02.2006

Xeon E3-1245V2
16GB RAM
Windows 10 Professional 64 bit
AutoCAD 2014

erstellt am: 06. Nov. 2008 09:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi!
Sowas hab' ich leider befürchtet; Werde den Schrott vermutlich drinnen lassen, denn das Handling der DICTIONARYS fällt mir alles andere als leicht ...
Danke.

Gruß,
Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 06. Nov. 2008 09:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für romi1 10 Unities + Antwort hilfreich

@Romi
Da ich nur ab und zu kleinigkeiten lisple muß ich bei sowas auch immer nachschauen,
das wird aber automatisch besser selbst wenn man nicht extra dafür "lernt".
Was ich noch sagen wollte:
Dir ist schon bekannt das es für sowas aber auch bereits Fertiglösungen gibt, ja ?

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 06. Nov. 2008 09:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für romi1 10 Unities + Antwort hilfreich

Hi,

;;SUB;;; löschen aller gruppeneinträge mit 0 und 1 elemt aus der acadbibo
(defun APG (/ VlaObj) 
  (or AcadApp (setq AcadApp (vlax-get-acad-object)))
  (or ActvDwg
      (setq ActvDwg (vla-get-ActiveDocument AcadApp))
  )
  (vlax-for ForElm (setq VlaObj (vla-get-groups ActvDwg))
    (or
      (< 1 (vla-get-count ForElm))
      (vl-catch-all-apply 'vla-delete (list ForElm))
    )
  )
  (vlax-release-object VlaObj)
)

na dann mach mal was draus...
mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

romi1
Mitglied
Bautechniker


Sehen Sie sich das Profil von romi1 an!   Senden Sie eine Private Message an romi1  Schreiben Sie einen Gästebucheintrag für romi1

Beiträge: 622
Registriert: 09.02.2006

Xeon E3-1245V2
16GB RAM
Windows 10 Professional 64 bit
AutoCAD 2014

erstellt am: 07. Nov. 2008 08:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi!
@Dorfy:
Da ich mich nur im "normalen" Lisp, nicht aber im Active-X auskenne, will ich es zuerst mal auf die "alte" Art (namedobjdict, dictsearch, ...) versuchen. Schließlich will ich ja auch verstehen, was ich da anwende. Trotzdem VIELEN DANK.
Gruß,
Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz